#include <gba.h>
#include <stdio.h>
#include <stdlib.h>


extern void drawPixel(unsigned int x, unsigned int y, unsigned int color);
extern void fillRect(unsigned int x, unsigned int y, unsigned int w, unsigned int h, unsigned int color);
extern void drawCircle(unsigned int x0, unsigned int y0, unsigned int rayon, unsigned int color);
extern void drawLine(unsigned int x0, unsigned int y0, unsigned int x1, unsigned int y1, unsigned int color);

int main(void) {
	
	irqInit();
	irqEnable(IRQ_VBLANK);

	SetMode(MODE_3 | BG_ALL_ON);
	
	drawPixel(10, 10, RGB5(31, 31, 31));
	fillRect(20, 20, 30, 10, RGB5(31, 0, 0));
	drawCircle(120, 80, 50, RGB5(0, 31, 0));
	drawLine(200, 140, 170, 150, RGB5(0, 0, 31));

	while (1) {
		VBlankIntrWait();
	}
	return 0;
}